Skip to main content
POST
/
v1
/
intent
/
topics
/
lists
Create a saved intent topic list
curl --request POST \
  --url https://api.aws53.cloud/v1/intent/topics/lists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "topicIds": [
    123
  ],
  "source": "site_analysis",
  "sourceUrl": "<string>",
  "keywords": [
    "<string>"
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "topicIds": [
      123
    ],
    "source": "site_analysis",
    "keywords": [
      "<string>"
    ],
    "sourceUrl": "<string>",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "meta": {
    "timestamp": "2023-11-07T05:31:56Z",
    "request_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.leadpipe.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Dashboard access token. Send as Authorization: Bearer .

Body

application/json
name
string
required
Required string length: 1 - 160
topicIds
integer[]
required
Required array length: 1 - 250 elements
source
enum<string>
Available options:
site_analysis,
search,
manual
sourceUrl
string<uri> | null
keywords
string[] | null
Maximum array length: 100
Required string length: 1 - 120

Response

Saved topic list created

data
object
required
meta
object
required